#!/usr/bin/env fish
mise env -s fish | source

set -l g (set_color a6d189)
set -l b (set_color 8caaee)
set -l s '#8caaee'
set -l n (set_color normal)

gum style --foreground "$s" --border double --padding "1 2" --margin "1" "Chezmoi — Gérer ses dotfiles"
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo "$g❯$b chezmoi list$n"
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read
chezmoi list | batcat -p
gum spin --spinner.foreground "$s" --spinner dot --title " " -- fish -c read

echo
echo "$g❯$b ls -la ~/.local/share/chezmoi/$n"
ls -la ~/.local/share/chezmoi/
